# machina-factory-bugcase

A demonstration of a bug in machina v2.0.2, where a child FSM factory is called multiple times when specified as part of a config object.

What should happen:

```
(fsm.0) Parent state 1 reached
Creating child
(fsm.1) Child state A reached
(fsm.0) Parent state 2 reached
Creating child
(fsm.2) Child state A reached
(fsm.2) Child state B reached
```

What happens instead:

```
(fsm.0) Parent state 1 reached
Creating child
(fsm.1) Child state A reached
Creating child
(fsm.2) Child state A reached
(fsm.0) Parent state 2 reached
Creating child
(fsm.3) Child state A reached
Creating child
(fsm.4) Child state A reached
(fsm.4) Child state B reached
```
